routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'language'], function () {
    Route::get('/', 'PhotosController@index')->name('mainpage');
    Route::resource('photos', 'PhotosController')->except('edit', 'update');
    Route::resource('users', 'UsersController')->except('index', 'create', 'store', 'destroy');
    Route::resource('photos.comments', 'CommentsController')->except('index', 'create')->middleware('auth');
    Auth::routes();
    Route::get('/home', 'HomeController@index')->name('home');
});

Route::get('language/{locale}', 'LanguageSwitcherController@switcher')
    ->name('language.switcher')
    ->where('locale', 'en|ru');

app/User.php
<?php

namespace App;

use Orchid\Platform\Models\User as Authenticatable;

class User extends Authenticatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'last_login',
        'permissions',
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
        'permissions',
        'uses_two_factor_auth',
        'two_factor_secret_code',
        'two_factor_recovery_code',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'permissions'          => 'array',
        'email_verified_at'    => 'datetime',
        'last_login'           => 'datetime',
        'uses_two_factor_auth' => 'boolean',
    ];

    /**
     * The attributes for which you can use filters in url.
     *
     * @var array
     */
    protected $allowedFilters = [
        'id',
        'name',
        'email',
        'permissions',
    ];

    /**
     * The attributes for which can use sort in url.
     *
     * @var array
     */
    protected $allowedSorts = [
        'id',
        'name',
        'email',
        'last_login',
        'updated_at',
        'created_at',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function comments() {
        return $this->hasMany(Comment::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function photos() {
        return $this->hasMany(Photo::class);
    }
}

app/Http/Controllers/UsersController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\UserRequest;
use App\Photo;
use App\User;
use Illuminate\Http\Request;

class UsersController extends Controller
{
    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return string
     */
    public function show($id)
    {
        $user = User::findOrFail($id);
        return view('users.show', compact('user'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     */
    public function edit($id)
    {
        $user = User::findOrFail($id);
        return view('users.edit', compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param UserRequest $request
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function update(UserRequest $request, $id)
    {
        $user = User::findOrFail($id);
        $user->update($request->all());
        return redirect()->route('users.show', compact('user'))->with('message', 'You profile is updated!');
    }
}

resources/views/users/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="container mt-2">
        <div class="col-10">
            <h5>@lang('Edit user data'):</h5>
            <form method="post"
                  action="{{route('users.update', ['user' => $user])}}">
                @csrf
                @method('put')
                <div class="form-row mt-5">
                    <div class="form-group col-md-8">
                        <label for="name"><b>@lang('Name')</b></label><span class="text-danger">*</span>
                        <textarea rows="5" class="form-control @error('name') is-invalid @enderror" id="name"
                                  name="name">{{$user->name}}</textarea>
                        @error('name')
                        <p class="error">{{$message}}</p>
                        @enderror
                    </div>
                </div>
                <button type="submit" class="btn btn-primary active pl-4 pr-4 mr-3">@lang('Edit')</button>
                <a href="{{route('users.show', ['user' => $user])}}">@lang('Back')</a>
            </form>
        </div>
    </div>
@endsection

resources/views/users/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        @if (session('message'))
            <div class="alert alert-primary" role="alert">
                {{ session('message') }}
            </div>
        @endif
        <div class="row">
            <h4><b>{{$user->name}}</b>@lang('\'s Profile')</h4>
            @if($user == Auth::user())
                <a class="ml-5" href="{{route('users.edit', ['user' => $user])}}">@lang('Edit')</a>
            @endif
        </div>
        <div class="row mt-3">
            <h5>@lang('My photos')</h5>
            @if($user == Auth::user())
                <a class="ml-5" href="{{route('photos.create')}}">@lang('Create new photo')</a>
            @endif
        </div>
        <div class="row mt-3">
            <table class="table table-bordered offset-md-2" style="width:60%">
                @foreach($user->photos as $photo)
                    <thead class="thead-light">
                    <tr class="text-center">
                        <th scope="col" style="width:10%">@lang('Photo')</th>
                        <th scope="col" style="width:40%">@lang('Title')</th>
                        @can('delete', $photo)
                            <th scope="col" style="width:1%">@lang('Actions')</th>
                        @endcan
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <img class="img-thumbnail"
                                 src="{{asset('/storage/' . $photo->image)}}" alt="Photo"
                                 style="width: 100px; height: 75px">
                        </td>
                        <td>{{$photo->caption}}</td>
                        @can('delete', $photo)
                            <td>

                                <form method="post" action="{{route('photos.destroy', ['photo' => $photo])}}">
                                    @method('DELETE')
                                    @csrf
                                    <button type="submit" class="btn btn-outline-danger">@lang('Удалить')
                                    </button>
                                </form>

                            </td>
                        @endcan
                    </tr>
                    @endforeach
                    </tbody>
            </table>
        </div>
    </div>
@endsection